import SocketHandler from "@/pages/api/socket";
import { NextApiRequest } from "next";
import getConfig from "next/config";
import { NextRequest, NextResponse } from "next/server";
import { Server } from "socket.io";

export async function POST(request: NextRequest, res: any) {
  const json_body = await request.json();

  getConfig()
    .serverRuntimeConfig.socketIo.to(
      json_body["organization_id"] +
        "-" +
        json_body["branch_id"] +
        "-" +
        json_body["user_id"]
    )
    .emit(json_body["event_name"], json_body["data"]);

  return NextResponse.json({ message: "notified" });
}
